class APIError(Exception):
    def __init__(self, message, status=500, errors=[]):
        super().__init__(message)
        self.status = status
        self.errors = errors


class ValidationError(APIError):
    def __init__(self, message, errors=[]):
        super().__init__(message, 422, errors)


class UnauthorizedError(APIError):
    def __init__(self, message):
        super().__init__(message, 401)
