# NetBox Proxmox Sync (Plugin)
FIXME: ta feio askasjkaksajks

This NetBox plugin integrates with a Proxmox cluster to import information
about virtual machines (VMs) and containers (CTs) into NetBox's virtualization
tab.

## Installation

1. Clone the repository into your NetBox installation's plugins directory:

   ```bash
   git clone https://github.com/your/repository.git /opt/netbox/netbox/plugins/netbox_proxmox

    Install the required dependencies (if any):

    bash

pip install -r /opt/netbox/netbox/plugins/netbox_proxmox/requirements.txt

Add 'netbox_proxmox' to the PLUGINS list in your NetBox configuration file (/opt/netbox/netbox/netbox/configuration.py).

Perform database migrations to apply the plugin's models to your database:

bash

sudo /opt/netbox/netbox/manage.py migrate

Restart your NetBox application server:

bash

    sudo systemctl restart netbox

Configuration

    Configure the plugin by editing the NetBox configuration file (/opt/netbox/netbox/netbox/configuration.py). Here's an example configuration:

    python

    # Proxmox API settings
    PROXMOX_HOST = 'https://your-proxmox-host.example.com'
    PROXMOX_API_USER = 'your_proxmox_api_user'
    PROXMOX_API_PASSWORD = 'your_proxmox_api_password'

    # NetBox settings
    NETBOX_PROXMOX_CLUSTER_NAME = 'Your Proxmox Cluster Name'

    Optionally, configure any additional settings required by the plugin.

Usage

    Once the plugin is installed and configured, navigate to the NetBox web interface.

    Go to the virtualization tab to view imported VM and CT information from your Proxmox cluster.

Contributing

Contributions are welcome! Please fork the repository and submit pull requests to contribute improvements or new features.
License

This plugin is licensed under the GPL-3.0 License. See the LICENSE file for details.
Support

For support or questions about this plugin, please open an issue on the GitHub repository.
